# Statuses ## Get waiting room status `client.waitingRooms.statuses.get(stringwaitingRoomId, StatusGetParamsparams, RequestOptionsoptions?): StatusGetResponse` **get** `/zones/{zone_id}/waiting_rooms/{waiting_room_id}/status` Fetches the status of a configured waiting room. Response fields include: 1. `status`: String indicating the status of the waiting room. The possible status are: - **not\_queueing** indicates that the configured thresholds have not been met and all users are going through to the origin. - **queueing** indicates that the thresholds have been met and some users are held in the waiting room. - **event\_prequeueing** indicates that an event is active and is currently prequeueing users before it starts. - **suspended** indicates that the room is suspended. 1. `event_id`: String of the current event's `id` if an event is active, otherwise an empty string. 1. `estimated_queued_users`: Integer of the estimated number of users currently waiting in the queue. 1. `estimated_total_active_users`: Integer of the estimated number of users currently active on the origin. 1. `max_estimated_time_minutes`: Integer of the maximum estimated time currently presented to the users. ### Parameters - `waitingRoomId: string` - `params: StatusGetParams` - `zone_id: string` Identifier. ### Returns - `StatusGetResponse` - `estimated_queued_users?: number` - `estimated_total_active_users?: number` - `event_id?: string` - `max_estimated_time_minutes?: number` - `status?: "event_prequeueing" | "not_queueing" | "queueing" | "suspended"` - `"event_prequeueing"` - `"not_queueing"` - `"queueing"` - `"suspended"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const status = await client.waitingRooms.statuses.get('699d98642c564d2e855e9661899b7252', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(status.event_id); ``` #### Response ```json { "result": { "estimated_queued_users": 0, "estimated_total_active_users": 0, "event_id": "25756b2dfe6e378a06b033b670413757", "max_estimated_time_minutes": 0, "status": "queueing" } } ``` ## Domain Types ### Status Get Response - `StatusGetResponse` - `estimated_queued_users?: number` - `estimated_total_active_users?: number` - `event_id?: string` - `max_estimated_time_minutes?: number` - `status?: "event_prequeueing" | "not_queueing" | "queueing" | "suspended"` - `"event_prequeueing"` - `"not_queueing"` - `"queueing"` - `"suspended"`